# ExpBoosterModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ExpBoosterModifier

#### Hierarchy (view full)

- PersistentModifier
  - ExpBoosterModifier

- Defined in src/modifier/modifier.ts:1628

#####
Index

### Constructors

constructor

### Properties

boostMultiplier
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
match
shouldApply

## Constructors

### constructor

- new ExpBoosterModifier(type, boostPercent, stackCount?): ExpBoosterModifier

- #### Parameters

  - type: ModifierType
  - boostPercent: number
  - `Optional` stackCount: number

  #### Returns ExpBoosterModifier

  Overrides PersistentModifier.constructor

  - Defined in src/modifier/modifier.ts:1631

## Properties

### `Private` boostMultiplier

boostMultiplier: number

- Defined in src/modifier/modifier.ts:1629

### stackCount

stackCount: number

Inherited from PersistentModifier.stackCount

- Defined in src/modifier/modifier.ts:149

### type

type: ModifierType

Inherited from PersistentModifier.type

- Defined in src/modifier/modifier.ts:131

### virtualStackCount

virtualStackCount: number

Inherited from PersistentModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:150

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from PersistentModifier.add

  - Defined in src/modifier/modifier.ts:158

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides PersistentModifier.apply

  - Defined in src/modifier/modifier.ts:1653

### clone

- clone(): ExpBoosterModifier

- #### Returns ExpBoosterModifier

  Overrides PersistentModifier.clone

  - Defined in src/modifier/modifier.ts:1645

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Overrides PersistentModifier.getArgs

  - Defined in src/modifier/modifier.ts:1649

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from PersistentModifier.getIcon

  - Defined in src/modifier/modifier.ts:202

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from PersistentModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:223

### getMaxStackCount

- getMaxStackCount(scene, forThreshold?): number

- #### Parameters

  - scene: default
  - `Optional` forThreshold: boolean

  #### Returns number

  Overrides PersistentModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:1659

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from PersistentModifier.getStackCount

  - Defined in src/modifier/modifier.ts:192

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PersistentModifier.incrementStack

  - Defined in src/modifier/modifier.ts:179

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Inherited from PersistentModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:198

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides PersistentModifier.match

  - Defined in src/modifier/modifier.ts:1637

### shouldApply

- shouldApply(_args): boolean

- #### Parameters

  - _args: any[]

  #### Returns boolean

  Inherited from PersistentModifier.shouldApply

  - Defined in src/modifier/modifier.ts:141